TestCase('ValidateTest', {
  "test canary": function() { assertTrue(true); },
  
  "test valid email": function() {
    var email = {value: 'venkats@agiledeveloper.com'};
    var error = {innerHTML: ''};
    validateEmail(email, error);
    
    assertEquals('', error.innerHTML);
  },
  
  "test email without @": function() {
    var email = { value: 'venkats'};
    var error = { innerHTML: ''};
    
    validateEmail(email, error);
    assertEquals('invalid email address provided!', error.innerHTML);
  },
  
  "test error should clear when valid email address given": function() {
    var email = { value: 'venkats'};
    var error = { innerHTML: ''};
    
    validateEmail(email, error);
    email = { value: 'venkats@agiledeveloper.com'};
    validateEmail(email, error);    
    assertEquals('', error.innerHTML);
  },
});